/* Installation script */
/*    SimplyFix 4.0    */
arg cmd

say
say 'Si vous voulez juste recrer le dossier de SimplyFix sur le bureau, lancez:'
say 'Inst_Fr desk'
say
say 'Appuyez sur ENTRE pour continuer, CTRL+C pour annuler l'installation'
pull

cr = d2c(13)
lf = d2c(10)
crlf = cr || lf

/* Register with REXX API extensions. */
IF RxFuncQuery('SysLoadFuncs') <> 0 THEN
DO
  Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
  Call SysLoadFuncs
END

if cmd = 'DESK' then
  signal makedesk

say
say 'SimplyFix sera install dans le rpertoire courant. Continuer (O/N)?'
say
parse pull risp

if translate(strip(risp)) == 'N' then
do
  cls
  exit
end

say
say '**************************************************'
say 'Dcompression des fichiers, veuillez patienter....'
say '**************************************************'
say

/* Unzippa il tutto */
'@unzip PRG.ZIP'

makedesk:

curdir = directory()

say
say '**********************'
say 'Cration du dossier...'
say '**********************'
say

res = SysCreateObject("WPFolder", "SimplyFix " || crlf || "v. 4.0", "<WP_DESKTOP>", "OBJECTID=<SIMPLYFIXFOLDER>;BACKGROUND=" || curdir || "\bg.bmp,T,,I,255 255 255;ALWAYSSORT=YES;ICONFILE=" || curdir || "\SFix4.ICO", update)

say
say '**********************'
say 'Cration des objets...'
say '**********************'
say

res = SysCreateObject("WPProgram", "SimplyFix 4", "<SIMPLYFIXFOLDER>", "OBJECTID=<SIMPLYFIX>;EXENAME=" || curdir || "\SFix4.exe;STARTUPDIR=" || curdir , replace)
res = SysCreateObject("WPShadow", "Lisez moi", "<SIMPLYFIXFOLDER>", "OBJECTID=<SIMPLYFIXREADME>;SHADOWID=" || curdir || "\RdmeFr.txt" , replace)
res = SysCreateObject("WPShadow", "Tips", "<SIMPLYFIXFOLDER>", "OBJECTID=<SIMPLYFIXTIPS>;SHADOWID=" || curdir || "\Tips_FR.htm" , replace)

say
say '***************************************'
say 'Suppression des fichiers temporaires...'
say '***************************************'
say


'@del ' || curdir || '\PRG.ZIP'
'@del ' || curdir || '\Inst_ITA.CMD'
'@del ' || curdir || '\RdmeITA.TXT'
'@del ' || curdir || '\Inst_ENG.CMD'
'@del ' || curdir || '\RdmeENG.TXT'
'@del ' || curdir || '\Tips_ITA.htm'
'@del ' || curdir || '\Tips_ENG.htm'


say
say '************'
say 'C'est fini !'
say '************'
say

call SysOpenObject '<SIMPLYFIXFOLDER>', 0, 0

Exit
