/* Installation script */
/*    SimplyFix 4.0    */
arg cmd

say
say 'If you want ONLY to recreate SimplyFix 4 desktop folder, run:'
say 'Inst_ENG desk'
say
say 'Press ENTER to continue, CTRL+C to STOP installation'
pull

cr = d2c(13)
lf = d2c(10)
crlf = cr || lf

/* Register with REXX API extensions. */
IF RxFuncQuery('SysLoadFuncs') <> 0 THEN
DO
  Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
  Call SysLoadFuncs
END

if cmd = 'DESK' then
  signal makedesk

say
say 'SimplyFix will be installed into current directory, continue (Y/N) ?'
say
parse pull risp

if translate(strip(risp)) == 'N' then
do
  cls
  exit
end

say
say '******************************'
say 'Extract files, please wait....'
say '******************************'
say

/* Unzippa il tutto */
'@unzip PRG.ZIP'

makedesk:

curdir = directory()

say
say '****************'
say 'Create folder...'
say '****************'
say

res = SysCreateObject("WPFolder", "SimplyFix " || crlf || "v. 4.0", "<WP_DESKTOP>", "OBJECTID=<SIMPLYFIXFOLDER>;BACKGROUND=" || curdir || "\bg.bmp,T,,I,255 255 255;ALWAYSSORT=YES;ICONFILE=" || curdir || "\SFix4.ICO", update)

say
say '*****************'
say 'Create Objects...'
say '*****************'
say

res = SysCreateObject("WPProgram", "SimplyFix 4", "<SIMPLYFIXFOLDER>", "OBJECTID=<SIMPLYFIX>;EXENAME=" || curdir || "\SFix4.exe;STARTUPDIR=" || curdir , replace)
res = SysCreateObject("WPShadow", "Readme", "<SIMPLYFIXFOLDER>", "OBJECTID=<SIMPLYFIXREADME>;SHADOWID=" || curdir || "\RdmeENG.txt" , replace)
res = SysCreateObject("WPShadow", "Tips", "<SIMPLYFIXFOLDER>", "OBJECTID=<SIMPLYFIXTIPS>;SHADOWID=" || curdir || "\Tips_ENG.htm" , replace)

say
say '********************'
say 'Delete temp files...'
say '********************'
say


'@del ' || curdir || '\PRG.ZIP'
'@del ' || curdir || '\Inst_ITA.CMD'
'@del ' || curdir || '\RdmeITA.TXT'
'@del ' || curdir || '\Inst_FR.CMD'
'@del ' || curdir || '\RdmeFR.TXT'
'@del ' || curdir || '\Tips_ITA.htm'
'@del ' || curdir || '\Tips_FR.htm'


say
say '**********'
say 'Done !   '
say '**********'
say

call SysOpenObject '<SIMPLYFIXFOLDER>', 0, 0

Exit
