/* Installation script */
/*    SimplyFix 4.0    */
arg cmd

say
say 'Se vuoi SOLO ricreare la cartella di SimplyFix 4 lancia:'
say 'Inst_ITA desk'
say
say 'Premi INVIO per proseguire, CTRL+C per fermare'
pull

cr = d2c(13)
lf = d2c(10)
crlf = cr || lf

/* Register with REXX API extensions. */
IF RxFuncQuery('SysLoadFuncs') <> 0 THEN
DO
  Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
  Call SysLoadFuncs
END

if cmd = 'DESK' then
  signal makedesk

say
say 'SimplyFix verr installato nella directory corrente, continuo (S/N) ?'
say
parse pull risp

if translate(strip(risp)) == 'N' then
do
  cls
  exit
end

say
say '*********************************'
say 'Estrazione dei files attendere...'
say '*********************************'
say

/* Unzippa il tutto */
'@unzip PRG.ZIP'

makedesk:

curdir = directory()

say
say '**************************'
say 'Sto creando la cartella...'
say '**************************'
say

res = SysCreateObject("WPFolder", "SimplyFix " || crlf || "v. 4.0", "<WP_DESKTOP>", "OBJECTID=<SIMPLYFIXFOLDER>;BACKGROUND=" || curdir || "\bg.bmp,T,,I,255 255 255;ALWAYSSORT=YES;ICONFILE=" || curdir || "\SFix4.ICO", update)

say
say '**************************'
say 'Sto creando gli oggetti...'
say '**************************'
say

res = SysCreateObject("WPProgram", "SimplyFix 4", "<SIMPLYFIXFOLDER>", "OBJECTID=<SIMPLYFIX>;EXENAME=" || curdir || "\SFix4.exe;STARTUPDIR=" || curdir , replace)
res = SysCreateObject("WPShadow", "Leggimi", "<SIMPLYFIXFOLDER>", "OBJECTID=<SIMPLYFIXREADME>;SHADOWID=" || curdir || "\RdmeITA.txt" , replace)
res = SysCreateObject("WPShadow", "Tips", "<SIMPLYFIXFOLDER>", "OBJECTID=<SIMPLYFIXTIPS>;SHADOWID=" || curdir || "\Tips_ITA.htm" , replace)

say
say '***************************'
say 'Cancello files superflui...'
say '***************************'
say

'@del ' || curdir || '\PRG.ZIP'
'@del ' || curdir || '\Inst_ENG.CMD'
'@del ' || curdir || '\RdmeENG.TXT'
'@del ' || curdir || '\Inst_FR.CMD'
'@del ' || curdir || '\RdmeFR.TXT'
'@del ' || curdir || '\Tips_FR.htm'
'@del ' || curdir || '\Tips_ENG.htm'


say
say '**********'
say 'Fatto !   '
say '**********'
say

call SysOpenObject '<SIMPLYFIXFOLDER>', 0, 0

Exit
